Subject: IBIS Minutes 10/27/95

From: [email-masked] ( Bob Ross)
Date: Wed, 1 Nov 95 14:16 PST

DATE:    November 1, 1995
 
 SUBJECT: 10/27/95 EIA IBIS Open Forum Meeting Minutes
 
 VOTING MEMBERS:
 AT&T Global Info Solutions     Dave Moxley*
 Cadence Design                 Sandeep Khanna, C. Kumar
 Contec CAE, Ltd.               Dileep Divekar
 HyperLynx                      Kellee Crisafulli
 IBM                            Jay Diepenbrock
 INCASES                        Werner Rissiek, Olaf Rethmeier*
 Intel Corporation              Stephen Peters*, Will Hobbs*, Arpad Muranyi*,
                                Derrick Duehren
 Interconnectix, Inc.           Bob Ross*
 Meta-Software                  Les Spruiell, Mei Wong, You-Pang Wei, 
                                John Sliney
 Motorola                       Ron Werner
 National Semiconductor         Syed Huq*, Atul Agarwal, Cheng-Yang Kao
 NEC                            Hiroshi Matsumoto, Eldar Yazbashevz
 Quad Design                    Jon Powell*, Chris Myles, Chris Rokusek*
 Quantic Labs                   Mike Ventham
 Tanner Research, Inc.          Scott Wedge, Ed Miller, Peter Parrish
 Texas Instruments              Roger Cline, Ben Andresen
 Thomson-CSF/SCTF               Jean LeBrun
 UniCAD Canada Ltd.             Stephen Lum
 VLSI Technology                Dick Ulmer, Sung Oh*
 Zuken-Redac                    John Berrie
 
 OTHER PARTICIPANTS:
 ARPA                           Randy Harr
 Anacad                         Steffen Rochel
 Ansoft                         Henri Maramis
 Atmel Corporation              Dan Terry
 Cadlab                         Ralf Bruning
 CFI                            Ron Christopher*
 Digital Equipment Corp.        Barry Katz
 EIA                            Patti Rusher*
 High Design Technology         Michael Smith, Dr. Ing. Cosso
 Hewlett Packard                Tom Langdorf, Karl Kachigan, Henry Wu
 Integrated Silicon Systems     Eric Bracken
 Intergraph                     Ian Dodd, David Wiens, Walter Katz
 IntuSoft                       Charles Hymowitz
 LSI Logic Corp.                Satish Pratadneni
 Mentor Graphics                Ravender Goyal, Greg Doyle
 Micron Technology              Brian Johnson                       
 MicroSim                       Arthur Wong
 North Carolina State U.        Steve Lipa, Michael Steer
 OptEM Engineering, Inc.        Benny Leveille, Ken Ehn
 Pacific Numerix                Paul K. U. Wang
 Symmetry                       Martin Walker
 Synopsys, Logic Modeling G.    Bill Lattin
 Univ. of Illinois, Urbana      Raj Mittra 
 Zeelan Technology              George Opsahl, Hiro Moriyasu
 (Independent)                  Bob Ward

 In the list above, attendees at the meeting are indicated by *.
 
 Upcoming Meetings: The bridge numbers for future IBIS teleconferences are as 
 follows:

      Date       Bridge Number    Reservation #    Passcode  
      12/1/95    (916) 356-9200   2-34986          8556351

 All meetings are 8:00 AM to 9:55 AM Pacific Time.  We try to have agendas out 
 7 days before each open forum and meeting minutes out within 7 days after.  
 When you call into the meeting, ask for the IBIS Open Forum hosted by Will 
 Hobbs and give the reservation number and passcode.
 
 NOTE: "AR" = Action Required.
 
 -------------------------------- MINUTES -------------------------------------
 
 INTRODUCTIONS
 None.  Will Hobbs chaired the first 35 minutes of the meeting, and Jon Powell 
 chaired the rest of the meeting.

 EIA MEMBERSHIP AND TREASURER'S REPORT
 The treasury is still about $8725.54, although one charge against the 
 account is pending.  Patti Rusher indicated that TI plans to purchase the
 ibischk2 source code.  

 MINUTES REPORT, MISC.
 None.

 MISCELLANY/ANNOUNCEMENTS
 Bob Ross reported that there have been updates in the contents of vhdl.org
 under the /pub/ibis directory including all of the birds under birds,
 frequently asked questions under faq, ibischk2 executables under ibischk2,
 and meeting minutes in text form for all years.  Also roster.txt has been
 moved to roster/roster.txt, and pressrel.dir has been changed to pressrel.

 Jon Powell reported that H.A.S. Electronics, Inc. at [email-masked] has
 advertised IBIS models. 

 PRESS UPDATES
 Will Hobbs reported that the October 16, 1995 front page EE Times Article  
 on the P6 referred to I/O models (IBIS models) described in the P6
 Users manual.

 NEW MODELS
 None reported.  [P6 Models not requiring NDA will be available November 1.]

 OPENS FOR NEW ISSUES
 Ground Bounce per some recent reflector discussion.

 EIA IBIS RATIFICATION
 Patti Rusher reported that EIA-656 was OFFICIALLY RATIFIED October 26, 1996
 by EDAC.  It is being forwarded to ANSI, hopefully for ratification by
 the end of the year.  During an EDA standards roadmap presentations, Don
 Cottrel referenced IBIS and also raised some requests for additions to
 better position IBIS.

 EIA PRESS RELEASE
 AR - Patti Rusher voluteered to send a draft of the EIA press release
 for review.  It will indicate EDA industry council interest in IBIS.

 WEB UPDATE (AND EIA)
 The delay in bringing up IBIS under //www.eia.org/eng is because of legal/
 security/copyright concerns about what EIA can present on the Web Site.
 This is applicable to all Standards, not just IBIS,  This also relates
 to funding from the sale of published documents copyrighted by EIA.  This
 should be resolved within two weeks.  Patti Rusher is pushing for a 
 rapid resolution so that at least some of the IBIS material can be 
 presented soon.

 Jon Powell has logos from eight companies to go on the Web page.  Only
 logos from EIA member companies will be used.  This is an additional benefit
 to become an EIA-IBIS member.

 AR - Patti Rusher send to Jon Powell the list of member companies who
 have supplied the required permission letters to use the logo.

 FACE TO FACE MEETING
 Syed Huq reported that the majority of respondents favored Monday, 
 January 29 before SuperCon96.  He will schedule rooms and make arrangements
 for National Semiconductor to host the meeting.

 A possible celebration dinner for EIA-656 completion may be planned that
 evening for those staying over.

 MODEL USAGE TRACKING
 Syed Huq reaffirmed the need and interest to track model usage.  Stephen
 Peters and Syed will seek help within their own organizations because
 it is an internal issue regarding access through company Web pages.
 Perhaps their solution will work on vhdl.org.

 This raised a discussion on pointers to company home pages from EIA.  This
 is feasable and planned.  So the possiblity exists that many companies
 may have IBIS models available under their control and also include the
 mechanisms to get the NDA models.  One possiblility suggested by Jon Powell
 is an interface which requests the user name before allowing access to 
 certain directories containing the IBIS models.

 Kellee Crisafulli reported contact and interest by Xilinx to post models.
 The decision is still being reviewed by management.

 Sung Oh reported that VLSI wants to remain in control of distibution of
 their IBIS models.  People contact the sales force to get models.

 GOLDEN PARSER UPDATE
 Bob Ross has posted the executables created by Jon Powell for ibischk2
 on vhdl.org under /pub/ibis/ibischk2.  Currently it is a flat directory
 with all executables appended by the associated workstation.  The original
 posting was corrupted, but the correct versions are now in place.  So
 if you had any problems, check that you have the current executable.
 Report any problems.

 Compiler information will be embedded in the executables, similar to
 the ibis_chk executables for Version 1.1.  Jon Powell will take care of
 creating these after some time to check that there are no new problems.
 They will then be designated ibischk2 and put under the appropriate 
 workstation directory similar to ibis_chk.  The verion number will be
 version 2.1.10 since these are IBIS version 2.1 (and below) executables.

 SPICE TO IBIS VERSION 2.1
 Bob Ross reported on the comment by Celso Faia of Unicad that a DOS 
 Windows version is needed.  Kellee Crisafulli reported that he has been
 unable to get Version 2.1 compiled, has been in touch with Michael Steer,
 and may get some internal resources to help.

 COOKBOOK
 Bob Ross reported no progress.  Since Stephen Peters of Intel is going
 to do an internal update, he may be the key resource to get this done.
 Similarly Syed Huq may have some inputs, especially for models from
 measurements.  So Kellee and Bob are turning this over to Stephen and
 Syed.  However, we will all be available to review and give inputs.  Since
 this can be an extra time work project, there is no date committment.
 So it is taken off the Agenda.

 BIRD30.2 - PIN PROGRAMMABLE BUFFER STRENGTHS
 Arpad Muranyi discussed BIRD30.2 with a text revision.  Some discussion
 including its relationship to DCL (Delay Calculation Language) standardization
 with respect to dynamically selectable buffers was initiated by Ron
 Christopher.  Several ideas to select models including ordering were
 discussed.  The concensus was that the actual selection basis was too
 complicated to come to an agreement at this time.  The description syntax
 could be standardized, but proposals would have to be developed and 
 considered.  

 The current proposal allows manual selection through a graphical user
 interface (GUI) with no standardization on descriptions.  Jon Powell
 stated that this could work for One device considerations, but the concern
 is that it would be a very combersome process for working with a large
 board with many IBIS model files from several vendors.

 BIRD30.2 was approved by the Vote.

 Proposals the improve upon BIRD30.2 would be considered.

 BIRD28.3+  PACKAGE MODEL ENHANCEMENT
 Stephen Peters reported on C. Kumar's proposed extension recently sent
 on the reflector.  The proposed extension would have to add a pin ordering
 file and a Matrix name to allow a more general set of coupling relationships.

 The primary concern was that it may be too close to an MCM discription
 without including some physical information.  This topic is still open
 for discussion, and the proposed improvement by Kumar in BIRD format
 could eventually emerge as a new bird to amend approved BIRD28.3

 EGG6 - TTL and CMOS
 Jon Powell reported that he is still investigating three suggestions
 including one provided by Arpad Muranyi to automatically detect whether
 a device is TTL or CMOS.  He is pessimistic, but needs validation of 
 his position.

 EGG7 - CONNECTOR AND CABLE MODEL
 Bob Ross summarized the proposed Connector model extension which involves
 no change of the IBIS Specification.  It provides an interpretation of
 the existing package model formats from the default model though the
 Version 2.1 Matrix models up to BIRD28.3 extensions.  Involvement by 
 a connector manufacturer such as AMP would be helpful to test the
 practicality of this approach.   Several names were suggested and Bob
 will follow up.  

 The CABLE model would require new syntax and complication, but it could
 then handle more complicated interconnection schemes with connection
 from, say, pin 1 of board 1 to connection or pin 2 of board 2.

 PHYSICAL PACKAGE DISCUSSION
 Kellee Chrissafulli is nearing completion of a proposal for such an
 extension.  EGG8 is reserved for this.

 GROUND BOUNCE
 Bob Ross reported on recent Email from Michael Gutzmann, and this was
 briefly discussed in the remaining time.  One concern was whether there
 were additional parameters or layout which would contribute to significant
 inaccuracies beyond what the proposed improvement would cover.  What accuracy
 can be achieved and what accuracy currently exists?  How are the real skew
 effects handled?  This topic remains open for discussion and proposals. 

 NEXT MEETING:
 It is set on Friday, December 1, 1995 (Moved from November 17 because
 several people would be out).

 ==============================================================================
                                       NOTES
 
 IBIS CHAIR: Will Hobbs (503) 264-4369, Fax (503) 264-4210
             [email-masked]
             Server Chipset System Validation Manager, Intel Corp.
             2111 NE 28th M/S JF1-57, Hillsboro, OR 97124 USA
 
 VICE CHAIR: Jon Powell (805) 988-8250, Fax: (805) 988-8259
             [email-masked]
             1385 Del Norte Rd., Camarillo, CA 93010
 
 SECRETARY:  Bob Ross (503) 603-2523, fax (503) 639-3469
             [email-masked]
             10220 SW Nimbus Ave, K4, Portland, OR 97223
 
 To become a voting member of the EIA IBIS Open Forum, send email to 
 [email-masked] for instructions.
 
 If you want to join the e-mail reflector ([email-masked]), send e-mail to the 
 IBIS secretary at [email-masked].
 
 Check the pub/ibis directory on vhdl.org for more information on previous 
 discussions and results.  You can get on via ftp anonymous, "guest" login from 
 telnet or dial-in (415-335-0110), or send an email request to the automatic 
 archive server, [email-masked].
 
 "IBIS Spoken Here" placards are available from Jon Powell ([email-masked]) for 
 use at trade shows.
 ==============================================================================

---

From: Arpad Muranyi <[email-masked]>
Date: Thu, 02 Nov 95 08:19:00 PST

Text item: 

Jon,

Reading the minutes, I see your concern about large boards.  However, I don't 
think that this can only be done through interactive user interface.

The simulator tool could have a macro, or an external buffer selection response 
file, or simulation configuration file, or something like that, through which 
the "user responses" (buffer selections other than defaults) are all available 
(predetermined).

With this method you have an option to do it completely invisibly (as in a batch
job which runs overnight), as well as through interactive user interface (as in 
experimenting and what if simulations).

Arpad
================================================================================

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Subject: IBIS Minutes 10/27/95
To: [email-masked]
From: [email-masked] ( Bob Ross)
Date: Wed, 1 Nov 95 14:16 PST
19:52 -0800
Received: from hermes.intel.com by relay.jf.intel.com with smtp
     (Smail3.1.28.1 #2) id m0tAuTm-000twVC; Wed, 1 Nov 95 23:54 PST

---

From: [email-masked] (MR RONALD J CHRISTOPHER)
Date: Thu, 09 Nov 1995 11:06:16 EST

-- [ From: Ron Christopher * EMC.Ver #2.10P ] --

Don and John Beatty,

System delay will have this same problem.  A standard mechanism is
required so that the same optional buffer I/O configuration is chosen
for the IBIS model as is chosen for the abstracted delay model.  The
IBIS folk believe that the criteria for choosing the proper
programmable buffer I/O model is sometimes too complex to automate
based on design data.

A standard selection file used by IBIS and the delay process could be
one answer.

Ron Christopher
------- FORWARD, Original message follows -------

> Date: Thursday, 02-Nov-95 12:42 PM
> 
> From: Arpad Muranyi            \ Internet:   
> ([email-masked])
> To:   Ron Christopher          \ PRODIGY:     (EGJJ77A)
> 
> Subject: Re: IBIS Minutes 10/27/95
> 
> Text item: 
> 
> Jon,
> 
> Reading the minutes, I see your concern about large boards.  However,
I
> don't  think that this can only be done through interactive user
> interface.
> 
> The simulator tool could have a macro, or an external buffer
selection
> response  file, or simulation configuration file, or something like
that,
> through which  the "user responses" (buffer selections other than
> defaults) are all available  (predetermined).
> 
> With this method you have an option to do it completely invisibly (as
in a
> batch job which runs overnight), as well as through interactive user
> interface (as in  experimenting and what if simulations).
> 
> Arpad
>
=======================================================================
==
> ======
>  discussed.  The consensus was that the actual selection basis was
too
>  is that it would be a very cumbersome process for working with a
large
> Message-Id: <[email-masked]>
> Received: by icx.com (/\==/\ Smail3.1.28.1 #28.14)
>      id <[email-masked]>; Wed, 1 Nov 95 14:16 PST
> Received: by icx.com (/\==/\ Smail3.1.28.1 #28.14)
>      id <[email-masked]>; Wed, 1 Nov 95 14:13 PST
> Received: from icx.com (icx.rain.com) by vhdl.vhdl.org
> (4.1/SMI-4.1/BARRNet)
>      id AA09681; Wed, 1 Nov 95 14:21:15 PST
> Received: from vhdl.vhdl.org by hermes.intel.com (5.65/10.0i); Wed, 1
Nov
> 95 14:

------- FORWARD, End of original message -------